## org.apache.lucene.analysis.tokenattributes
Interface PositionLengthAttribute

All Superinterfaces:
  Attribute

All Known Implementing Classes:
  PositionLengthAttributeImpl, Token

    public interface PositionLengthAttribute

extends Attribute

The positionLength determines how many positions this token spans. Very few analyzer components actually produce this attribute, and indexing ignores it, but it's useful to express the graph structure naturally produced by decompounding, word splitting/joining, synonym filtering, etc.

The default value is one.

Method Summary
`int` `getPositionLength()` Returns the position length of this Token.
`void` `setPositionLength(int positionLength)`

Method Detail

### setPositionLength

    void setPositionLength(int positionLength)

  Parameters:
    `positionLength` - how many positions this token spans.

### getPositionLength

    int getPositionLength()

  Returns the position length of this Token.

  See Also:
    `setPositionLength(int)`